Index: BOOK/Makefile
===================================================================
--- BOOK/Makefile	(revision da28cc39be3d27782a526cb4350b643baa136390)
+++ BOOK/Makefile	(revision eef46e9fe86bfd88455fdbc22d0d5b1116dc6729)
@@ -62,10 +62,12 @@
 $(ARCHS_VD_XML): override arch = $(@:%-validate_dump-xml=%)
 $(ARCHS_VD_XML):
-	@echo "Validating $(arch) book..."
+	@echo "Validating $(arch) against the CLFS Schema..."
 	$(Q)mkdir -p $(VALIDATEDIR)
 	$(Q)xmllint --nonet --noent --xinclude \
-	  --relaxng $(TOP)/schema/docbook/4.5/rng/docbook.rng \
+	  --relaxng $(TOP)/schema/clfs/0.1/rng/clfs.rng \
 	  -o $(VALIDATEDIR)/$(arch)-full.xml \
-	  $(PWD)/$(arch)-index.xml
+	  $(PWD)/$(arch)-index.xml \
+	  2>&1 | grep -v " validates$$"; \
+	  if test $${?} -ne 0; then true; else false; fi
 
 ARCHS_P_XML := $(ARCHS:%=%-profiled-xml)
@@ -74,5 +76,5 @@
 $(ARCHS_P_XML):
 	@$(MAKE) --no-print-directory $(arch)-validate_dump-xml
-	@echo "Generating profiled $(arch) book..."
+	@echo "Profiling $(arch) for rendering..."
 	$(Q)mkdir -p $(PROFILEDIR)
 	$(Q)xsltproc --nonet --stringparam profile.condition html \
@@ -80,4 +82,15 @@
 	  $(PWD)/stylesheets/lfs-xsl/profile.xsl \
 	  $(VALIDATEDIR)/$(arch)-full.xml
+
+ARCHS_VDB_XML := $(ARCHS:%=%-validate_db-xml)
+.PHONY: $(ARCHS_VDB_XML)
+$(ARCHS_VDB_XML): override arch = $(@:%-validate_db-xml=%)
+$(ARCHS_VDB_XML):
+	@echo "Validating $(arch) against the DocBook Schema..."
+	$(Q)xmllint --noout --nonet \
+	  --relaxng $(TOP)/schema/docbook/4.5/rng/docbook.rng \
+	  $(VALIDATEDIR)/$(arch)-full.xml \
+	  2>&1 | grep -v " validates$$"; \
+	  if test $${?} -ne 0; then true; else false; fi
 
 ARCHS_HTML := $(ARCHS:%=%-html)
@@ -87,4 +100,5 @@
 $(ARCHS_HTML):
 	@$(MAKE) --no-print-directory $(arch)-profiled-xml
+	@$(MAKE) --no-print-directory $(arch)-validate_db-xml
 
 	@echo "Rendering chunked XHTML of $(arch)..."
@@ -112,4 +126,5 @@
 $(ARCHS_NOCHUNKS):
 	@$(MAKE) --no-print-directory $(arch)-profiled-xml
+	@$(MAKE) --no-print-directory $(arch)-validate_db-xml
 
 	@echo "Rendering Single File HTML of $(arch)..."
@@ -128,4 +143,5 @@
 $(ARCHS_FO):
 	@$(MAKE) --no-print-directory $(arch)-profiled-xml
+	@$(MAKE) --no-print-directory $(arch)-validate_db-xml
 
 	@echo "Generating FO file of $(arch)..."
@@ -153,8 +169,10 @@
 $(ARCHS_VALIDATE): override arch =  $(@:%-validate=%)
 $(ARCHS_VALIDATE):
-	@echo "Validating $(arch)..."
+	@echo "Validating $(arch) against the CLFS Schema..."
 	$(Q)xmllint --xinclude --noout --nonet \
-	  --relaxng $(TOP)/schema/docbook/4.5/rng/docbook.rng \
-	  $(PWD)/$(arch)-index.xml
+	  --relaxng $(TOP)/schema/clfs/0.1/rng/clfs.rng \
+	  $(PWD)/$(arch)-index.xml \
+	  2>&1 | grep -v " validates$$"; \
+	  if test $${?} -ne 0; then true; else false; fi
 
 ARCHS_TROUBLE := $(ARCHS:%=%-trouble)
@@ -166,10 +184,14 @@
 	@mkdir -p $(TROUBLEDIR)
 	$(Q)xmllint --xinclude --nonet \
-	  --relaxng $(TOP)/schema/docbook/4.5/rng/docbook.rng \
+	  --relaxng $(TOP)/schema/clfs/0.1/rng/clfs.rng \
 	  -o $(TROUBLEDIR)/dump-$(arch) \
-	  $(PWD)/$(arch)-index.xml
+	  $(PWD)/$(arch)-index.xml \
+	  2>&1 | grep -v " validates$$"; \
+	  if test $${?} -ne 0; then true; else false; fi
 	$(Q)xmllint --xinclude --noout --nonet \
-	  --relaxng $(TOP)/schema/docbook/4.5/rng/docbook.rng \
-	  $(TROUBLEDIR)/dump-$(arch)
+	  --relaxng $(TOP)/schema/clfs/0.1/rng/clfs.rng \
+	  $(TROUBLEDIR)/dump-$(arch) \
+	  2>&1 | grep -v " validates$$"; \
+	  if test $${?} -ne 0; then true; else false; fi
 	@echo "You can now look at $(TROUBLEDIR)/dump-$(arch) to see the errors"
 
Index: BOOK/schema/clfs/0.1/rng/clfs.rnc
===================================================================
--- BOOK/schema/clfs/0.1/rng/clfs.rnc	(revision eef46e9fe86bfd88455fdbc22d0d5b1116dc6729)
+++ BOOK/schema/clfs/0.1/rng/clfs.rnc	(revision eef46e9fe86bfd88455fdbc22d0d5b1116dc6729)
@@ -0,0 +1,3 @@
+
+include "../../../docbook/4.5/rng/docbook.rnc"
+
Index: BOOK/schema/clfs/0.1/rng/clfs.rng
===================================================================
--- BOOK/schema/clfs/0.1/rng/clfs.rng	(revision eef46e9fe86bfd88455fdbc22d0d5b1116dc6729)
+++ BOOK/schema/clfs/0.1/rng/clfs.rng	(revision eef46e9fe86bfd88455fdbc22d0d5b1116dc6729)
@@ -0,0 +1,4 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<grammar xmlns="http://relaxng.org/ns/structure/1.0">
+  <include href="../../../docbook/4.5/rng/docbook.rng"/>
+</grammar>
